Đến nội dung


Hình ảnh
* * * - - 2 Bình chọn

Viết Lisp theo yêu cầu


  • Chủ đề bị khóa Chủ đề bị khóa
2780 replies to this topic

#2381 bach1212

bach1212

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 13 July 2009 - 11:42 AM

Nhờ bạn hướng dẫn cụ thể hơn cách key của chương trình excellink 2007.
Mình làm như thế này nhờ bạn giúp xem có đúng không nha, mà mình không vào đăng ký được
Sau khi cài xong, vào Cad, xuất hiện bảng. mình chọn Authorize, xuất hiện bảng . mình chọn copy của dãy chữ trong ô Request code.
Xong chọn file keygen.exe xuất hiện bảng và past dãy số vài khung username, bấm vào genante . trong ô này xuất hiện dãy số dươi ô Regỉtation code và copy số này dán vảo ô licen string.
nó báo lỗi.
Mong được bạn giúp

làm lại thử coi. mình làm thế đc mà bạn! cố lên! :s_big:
  • 0

Một môn tập luyện mang lại vô vàn lợi ích sức khỏe cho mọi người, nhiều bệnh tật nan y đều được chữa khỏi, hoàn toàn miễn phí. Hiệu quả chữa khỏi bệnh tật của nó lên đến hơn 90%.
Tài liệu tại đây: http://phapluan.org/

Rất vui được làm quen với mọi người trên facebook:
https://www.facebook...67946371&type=1

 

 


#2382 conghoan1003

conghoan1003

    biết vẽ point

  • Members
  • PipPip
  • 99 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 July 2009 - 11:43 AM

Trình tự chạy Lisp theo ý của conghoan hơi lâu.
Để Tue_NV cải thiện tốc độ của Lisp nhé :
Tên lệnh VBUN

Command: vbun : đánh lệnh VBUN
Select objects: Specify opposite corner: 4 found

Select objects: Chọn các Polyline

Nhap do sau vet bun : Specify second point: Nhập độ sâu vét bùn
Nhap he so mai doc o diem dau :0

Nhap he so mai doc o diem cuoi :1.2

Lúc này Lisp sẽ hiện sáng 1 polyline được chọn -> Bạn chỉ việc kích điểm đầu và điểm cuối của PLINE hiện sáng đó
Chon diem dau :
Chon diem cuoi :
Lisp sẽ hiện sáng 1 polyline được chọn tiếp theo -> Bạn chỉ việc kích điểm đầu và điểm cuối của PLINE hiện sáng đó
Chon diem dau :
Chon diem cuoi :
Lisp sẽ hiện sáng 1 polyline được chọn tiếp theo -> Bạn chỉ việc kích điểm đầu và điểm cuối của PLINE hiện sáng đó
Chon diem dau :
Chon diem cuoi :
File đây :
http://www.cadviet.c...iles/VBUN_1.vlx

Đồi với các mặt cắt sau mình chỉ cần kích trái chuột 2 lần thì được một đường vét (Chỉ cần chọn 2 điểm đầu và cuối mà thôi vì Lisp đã hiện sáng Polyline lên rồi)
-> nhanh hơn của conghoan nhé :s_big:

Cảm ơn Tue_NV đã giúp đỡ!
Ý tưởng của bạn lại còn nhanh hơn mình nghĩ nữa, hay lắm nhưng mình lại gặp vấn đề khi sử dụng, Tue_NV giúp mình chỉnh sửa lại chút nhé.
Thứ nhất: Trên màn hình của mình phải hiển thị vừa đường tự nhiên và đường giới hạn vét. (đường giới hạn vét không thể ẩn đi được vì để như thế mình mới biết được điểm giới hạn vét). Mình cũng thử dùng chức năng khoá layer nhưng không hiểu sao một số đường lisp vẫn cứ chọn. Tuê xử lý chỗ này giúp nhé, nếu xử lý được thì các mặt cắt sau mình chỉ cần kích 2 lần còn không thì Tue cứ để kích 3 lần đi, như thế cũng nhanh lắm rồi.
Thứ hai: Đường vét vừa tạo thành chưa như mong muốn của mình, nó chưa nối lại với nhau để thành một đường vét hoàn chình và đường vét tạo thành vẫn còn là layer đường tự nhiên chứ không phải là layer hiện hành (layer vet)
Cảm ơn Tue_NV nhiều!
Mình đưa file Tue xem nha: http://www.cadviet.c...files/MCN_1.dwg
  • 0
Học học nữa học mãi.
Đúp học lại!

#2383 Phiphi-

Phiphi-

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 434 Bài viết
Điểm đánh giá: 175 (tàm tạm)

Đã gửi 13 July 2009 - 01:53 PM

Mình thường dùng cách quản lý bản vẽ như Chen.
Mình có tìm được 1 file lsp hổ trợ rất tốt cho việc sắp xếp layer.
Gửi bác Hoành, hi vọng nó có ích
http://www.cadviet.c...es/DD_chlay.rar
trong này có 2 chức năng chính:
1. Lệnh DDCH (tương tự lệnh Qselect của CAD)
Chuyển các đối tượng của CAD ( blocks, hatch,..) về layer mình mong muốn
2. Lệnh NM
Chuyển các đối tượng CAD đang ở layer A qua layer mình mong muốn.
Trong thư muck có 2 file hướng dẫn kỹ hơn. Tất cả các thao tác điều có hộp thoại nên rất dễ hiểu.
Chúc mọi người thành công!

Bộ LISP này quả rất là tiện lợi dùng khi chuyển đổi các Layers với nhau, nhưng để phát huy tối đa thì cần phải bổ sung thêm phần cho phép chọn được cả COLOR, LINETYLE, bởi vì rất nhiều Drafters sử dụng Color, Linetype để đặt tên cho các Layers trong việc in ấn ra bản vẽ.
Hy vọng sẽ được các cao thủ viết Lisp ra tay. Cám ơn nhiều.
  • 0

#2384 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 13 July 2009 - 02:16 PM

Cảm ơn Tue_NV đã giúp đỡ!
Ý tưởng của bạn lại còn nhanh hơn mình nghĩ nữa, hay lắm nhưng mình lại gặp vấn đề khi sử dụng, Tue_NV giúp mình chỉnh sửa lại chút nhé.
Thứ nhất: Trên màn hình của mình phải hiển thị vừa đường tự nhiên và đường giới hạn vét. (đường giới hạn vét không thể ẩn đi được vì để như thế mình mới biết được điểm giới hạn vét). Mình cũng thử dùng chức năng khoá layer nhưng không hiểu sao một số đường lisp vẫn cứ chọn. Tuê xử lý chỗ này giúp nhé, nếu xử lý được thì các mặt cắt sau mình chỉ cần kích 2 lần còn không thì Tue cứ để kích 3 lần đi, như thế cũng nhanh lắm rồi.
Thứ hai: Đường vét vừa tạo thành chưa như mong muốn của mình, nó chưa nối lại với nhau để thành một đường vét hoàn chình và đường vét tạo thành vẫn còn là layer đường tự nhiên chứ không phải là layer hiện hành (layer vet)
Cảm ơn Tue_NV nhiều!
Mình đưa file Tue xem nha: http://www.cadviet.c...files/MCN_1.dwg

Chào conghoan
Vậy conghoan đã sử dụng file Lisp của Tue_NV chưa?
http://www.cadviet.c...iles/VBUN_1.vlx

Trình tự chạy Lisp theo ý của conghoan hơi lâu.
Để Tue_NV cải thiện tốc độ của Lisp nhé :
Tên lệnh VBUN

Command: vbun : đánh lệnh VBUN
Select objects: Specify opposite corner: 4 found

Select objects: Chọn các Polyline

Nhap do sau vet bun : Specify second point: Nhập độ sâu vét bùn
Nhap he so mai doc o diem dau :0

Nhap he so mai doc o diem cuoi :1.2

Lúc này Lisp sẽ hiện sáng 1 polyline được chọn -> Bạn chỉ việc kích điểm đầu và điểm cuối của PLINE hiện sáng đó
Chon diem dau :
Chon diem cuoi :
Lisp sẽ hiện sáng 1 polyline được chọn tiếp theo -> Bạn chỉ việc kích điểm đầu và điểm cuối của PLINE hiện sáng đó
Chon diem dau :
Chon diem cuoi :
Lisp sẽ hiện sáng 1 polyline được chọn tiếp theo -> Bạn chỉ việc kích điểm đầu và điểm cuối của PLINE hiện sáng đó
Chon diem dau :
Chon diem cuoi :
File đây :
http://www.cadviet.c...iles/VBUN_1.vlx
Đồi với các mặt cắt sau mình chỉ cần kích trái chuột 2 lần thì được một đường vét (Chỉ cần chọn 2 điểm đầu và cuối mà thôi vì Lisp đã hiện sáng Polyline lên rồi)
-> nhanh hơn của conghoan nhé :s_big:


Nếu conghoan muốn tạo đường vét và đường Polyline tự nhiên là 2 layer khác nhau thì hãy để layer hiện hành là layer vét
Tue_NV đã chạy lại file Lisp và không có lỗi như conghoan nói
  • 2

#2385 conghoan1003

conghoan1003

    biết vẽ point

  • Members
  • PipPip
  • 99 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 July 2009 - 05:07 PM

Chào conghoan
Vậy conghoan đã sử dụng file Lisp của Tue_NV chưa?
http://www.cadviet.c...iles/VBUN_1.vlx
Nếu conghoan muốn tạo đường vét và đường Polyline tự nhiên là 2 layer khác nhau thì hãy để layer hiện hành là layer vét
Tue_NV đã chạy lại file Lisp và không có lỗi như conghoan nói

Tue_NV xem lại giúp mình nhé, đúng là mái dốc là layer hiện hữu nhưng đường offset bên dưới vẫn là layer tự nhiên mà. Và mình muốn hai đường này nối với nhau thành polyline đường vét như hình vẽ của mình đó.
Tue_NV giải quyết luôn vấn đề thứ nhất ở trên giúp mình với nhé: Trên màn hình của mình phải hiển thị vừa đường tự nhiên và đường giới hạn vét. (đường giới hạn vét không thể ẩn đi được vì để như thế mình mới biết được điểm giới hạn vét). Mình cũng thử dùng chức năng khoá layer nhưng không hiểu sao một số đường lisp vẫn cứ chọn. Tuê xử lý chỗ này giúp nhé, nếu xử lý được thì các mặt cắt sau mình chỉ cần kích 2 lần còn không thì Tue cứ để kích 3 lần đi, như thế cũng nhanh lắm rồi.
Cảm ơn Tue_NV nhiều!
file cad: http://www.cadviet.c...files/MCN_2.dwg
  • 0
Học học nữa học mãi.
Đúp học lại!

#2386 conghoan1003

conghoan1003

    biết vẽ point

  • Members
  • PipPip
  • 99 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 July 2009 - 06:28 PM

"Để Tue_NV cải thiện tốc độ của Lisp nhé":
Tên lệnh VBUN

Command: vbun : đánh lệnh VBUN
Select objects: Specify opposite corner: 4 found : cái này có phải là quét chọn toàn bộ các trắc ngang tự nhiên vừa xuất?

Select objects: Chọn các Polyline : cái này chọn từng polyline tự nhiên một cơ ạ? ( lâu lém)
Lúc này Lisp sẽ hiện sáng 1 polyline: : sáng 1 polyline j ấy, đường màu đỏ trong ảnh ấy bác ah`! http://www.cadviet.c.../vbun_ko_dc.pdf
Hix, hay là bác có video nào sử dụng từ A--> Z lệnh này bác gửi cho e đc hôk ah? hjj thanks hiu bác! :s_big:

Nếu Bach1212 quan tâm thì nên xem từ đầu đến cuối nha, phía trên chỗ yêu cầu mình có post file cad lên đó. Mình nghĩ lisp này rất hay nhưng hiện giờ chưa đúng ý lắm hy vọng lần này Bác Tue_NV sửa hoàn chình thì anh em cầu đường đỡ khổ rồi!
  • 0
Học học nữa học mãi.
Đúp học lại!

#2387 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 13 July 2009 - 08:40 PM

Tue_NV xem lại giúp mình nhé, đúng là mái dốc là layer hiện hữu nhưng đường offset bên dưới vẫn là layer tự nhiên mà. Và mình muốn hai đường này nối với nhau thành polyline đường vét như hình vẽ của mình đó.
Tue_NV giải quyết luôn vấn đề thứ nhất ở trên giúp mình với nhé: Trên màn hình của mình phải hiển thị vừa đường tự nhiên và đường giới hạn vét. (đường giới hạn vét không thể ẩn đi được vì để như thế mình mới biết được điểm giới hạn vét). Mình cũng thử dùng chức năng khoá layer nhưng không hiểu sao một số đường lisp vẫn cứ chọn. Tuê xử lý chỗ này giúp nhé, nếu xử lý được thì các mặt cắt sau mình chỉ cần kích 2 lần còn không thì Tue cứ để kích 3 lần đi, như thế cũng nhanh lắm rồi.
Cảm ơn Tue_NV nhiều!
file cad: http://www.cadviet.c...files/MCN_2.dwg

Chào conghoan
Tue_NV vẫn chưa hiểu là conghoan gặp vấn đề ở đâu?
File của bạn, mình chạy Lisp vẫn được mà. File test của Tue_NV đây : http://www.cadviet.c...les/MCN_2_1.dwg

Tue_NV vẫn không hiểu ý của conghoan "đường giới hạn vét không thể ẩn đi được" là cớ làm sao?? Tue_NV đâu có ẩn đường giới hạn vét của conghoan??

Yêu cầu của conghoan ghi trong file thì Tue_NV không đọc được do không có font chữ vn_vni.shx (nên sử dụng font Time New Roman để viết yêu cầu.
Conghoan viết lại yêu cầu cho cụ thể nhé. Tránh làm mất thời gian
  • 2

#2388 tuanthunder

tuanthunder

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 13 July 2009 - 09:13 PM

Xin chào các bác CADVIET.
Em là newbie. Hôm nay em muốn phiền các bác viết cho em 1 lisp:
- Lisp nầy có tác dụng: Tự động copy đối tượng khi dùng lệnh Align đối tượng đó ra chỗ khác.
( VD: Em vẽ 1 cái cửa trên mặt bằng.Em muốn dóng cái cửa đó vào 1 cái ô cửa khác.Thì bình thường em phải: 1.Copy cái cửa đó. B2: Dùng lệnh Al.)
-Các bác giúp em nhé.Cảm ơn các bác trước.


Các bác ơi, giúp em cái lisp này với.
  • 0

#2389 quygtvt

quygtvt

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 13 July 2009 - 10:32 PM

Chào conghoan
Tue_NV vẫn chưa hiểu là conghoan gặp vấn đề ở đâu?
File của bạn, mình chạy Lisp vẫn được mà. File test của Tue_NV đây : http://www.cadviet.c...les/MCN_2_1.dwg

Tue_NV vẫn không hiểu ý của conghoan "đường giới hạn vét không thể ẩn đi được" là cớ làm sao?? Tue_NV đâu có ẩn đường giới hạn vét của conghoan??

Yêu cầu của conghoan ghi trong file thì Tue_NV không đọc được do không có font chữ vn_vni.shx (nên sử dụng font Time New Roman để viết yêu cầu.
Conghoan viết lại yêu cầu cho cụ thể nhé. Tránh làm mất thời gian

Em chạy thử lisp VBUN trên file CAD của Conghoan rồi, đúng như bác Tuệ miêu tả. Không cần phải tắt lớp thiên nhiên. Tuy nhiên em thấy rằng hệ số mái dốc ở điểm đầu và điểm cuối không đúng với giá trị nhập. Bác Tuệ kiểm tra lại xem nhé. Em gủi file ở đây.
http://www.cadviet.c...les/MCN_2_2.dwg
Cám ơn các bác.
  • 1
Không thể nói trời không xanh hơn,
và mắt em không xanh khác ngày thường

Hình đã gửi


#2390 meohen1910

meohen1910

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 July 2009 - 10:41 PM

Bạn thử Code này xem :

(defun c:gct()
(prompt "\n Chon cac Text :")
(setq ss (ssget '((0 . "TEXT,MTEXT"))) n (sslength ss) i 0)
(while (< i n)
(setq ent (entget(ssname ss i)))
(setq Z (atof(cdr(assoc 1 ent))))
(setq dsp (assoc 10 ent))
(setq pomoi (list (nth 1 dsp) (nth 2 dsp) Z))
(setq ent (entmod(subst (cons 10 pomoi) (assoc 10 ent) ent)))
(setq i (1+ i))
)
(princ)
)


Cảm ơn bạn Tue_NV nhiều nhé, mình đã thử chạy rất ok. Mình hiện đang công tác tại HCM, from Cau duong BKDN, hi vong sau này có nhiều dịp hợp tác với bạn. :s_big:
  • 0

#2391 conghoan1003

conghoan1003

    biết vẽ point

  • Members
  • PipPip
  • 99 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 July 2009 - 08:06 AM

Chào conghoan
Tue_NV vẫn chưa hiểu là conghoan gặp vấn đề ở đâu?
File của bạn, mình chạy Lisp vẫn được mà. File test của Tue_NV đây : http://www.cadviet.c...les/MCN_2_1.dwg

Tue_NV vẫn không hiểu ý của conghoan "đường giới hạn vét không thể ẩn đi được" là cớ làm sao?? Tue_NV đâu có ẩn đường giới hạn vét của conghoan??

Yêu cầu của conghoan ghi trong file thì Tue_NV không đọc được do không có font chữ vn_vni.shx (nên sử dụng font Time New Roman để viết yêu cầu.
Conghoan viết lại yêu cầu cho cụ thể nhé. Tránh làm mất thời gian

Trước tiên mình cảm ơn Tue_NV đã nhiệt tình giứp đỡ.
Khi post mình lại quên dùng cái phông hổng thông dụng đó làm khó mọi người. Xin lỗi nhé!
Tue_NV xem lại thế nào chứ mình thấy cái Tue Test thì ok mà sao mình test thì như trong hình mình gởi đó.
Đường offet bên dưới đường tự nhiên vẫn là layer tự nhiên, lẽ ra nó và đường mái dốc phải nối với nhau để trở thành đường vét hoàn chỉnh.
Còn cái đưòng giới hạn vét: Khi mình kích hai điểm để xác định giới hạn vét nên mình muốn để lại đường này để biết chỗ mà kích hai điểm ấy mà, nhưng mà để như thế thì trên màn hình vẫn con hai layer (tự nhiên và giới hạn vét) vì thế khi lisp hỏi chọn polyline đường tự nhiên, mình chọn thì có cả đường này nữa, nên lisp sẽ nhầm lẫn giữa đường tự nhiên và đường giới hạn vét. Mình đưa ra ý kiến thế này Tuê xem thử nha: thuộc tính của layer giới hạn vét là line con đường tự nhiên là polyline. khi lisp hỏi chọn đường tự nhiên thì mình mặc định cho chọn polyline thôi (không chọn line) Còn không nữa thì các mặt cắt lại sau mình kích chuột ba lần.
Còn chỗ góc mái dốc sao nó hợp với đường tự nhiên góc 45 (nếu là 1:1) chứ không phải hợp với đường nằm ngang. Hợp với đường nằm ngang (trục hoành của hệ toạ độ) mới đúng chứ.
Cảm ơn và chúc sức khỏe!
file cad: http://www.cadviet.c...files/MCN_4.dwg
  • 0
Học học nữa học mãi.
Đúp học lại!

#2392 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 July 2009 - 10:54 AM

Trước tiên mình cảm ơn Tue_NV đã nhiệt tình giứp đỡ.
Khi post mình lại quên dùng cái phông hổng thông dụng đó làm khó mọi người. Xin lỗi nhé!
Tue_NV xem lại thế nào chứ mình thấy cái Tue Test thì ok mà sao mình test thì như trong hình mình gởi đó.
Đường offet bên dưới đường tự nhiên vẫn là layer tự nhiên, lẽ ra nó và đường mái dốc phải nối với nhau để trở thành đường vét hoàn chỉnh.
Còn cái đưòng giới hạn vét: Khi mình kích hai điểm để xác định giới hạn vét nên mình muốn để lại đường này để biết chỗ mà kích hai điểm ấy mà, nhưng mà để như thế thì trên màn hình vẫn con hai layer (tự nhiên và giới hạn vét) vì thế khi lisp hỏi chọn polyline đường tự nhiên, mình chọn thì có cả đường này nữa, nên lisp sẽ nhầm lẫn giữa đường tự nhiên và đường giới hạn vét. Mình đưa ra ý kiến thế này Tuê xem thử nha: thuộc tính của layer giới hạn vét là line con đường tự nhiên là polyline. khi lisp hỏi chọn đường tự nhiên thì mình mặc định cho chọn polyline thôi (không chọn line) Còn không nữa thì các mặt cắt lại sau mình kích chuột ba lần.
Còn chỗ góc mái dốc sao nó hợp với đường tự nhiên góc 45 (nếu là 1:1) chứ không phải hợp với đường nằm ngang. Hợp với đường nằm ngang (trục hoành của hệ toạ độ) mới đúng chứ.
......
file cad: http://www.cadviet.c...files/MCN_4.dwg

Rất xin lỗi vì Tue_NV đã nhầm lẫn cái góc dốc -> Tue_NV đã chỉnh lại Code
Nếu conghoan thấy lisp nhầm lẫn giữa đường tự nhiên và đường giới hạn vét thì tại sao conghoan không chọn đường tự nhiên theo Layer bằng Quick select -> rồi sau đó mới sử dụng Lisp và chú ý rằng ở đoạn Select object trong Lisp : gõ chữ P (previous) (tức chọn đối tượng trước đó)
Cụ thể như thế này :
chọn đường tự nhiên theo Layer bằng Quick select ->

Command: _qselect
2 item(s) selected.

-> đánh lệnh VBUN
Command: VBUN

Select objects: p : gõ P
2 found

Select objects:

Nhap do sau vet bun : Specify second point:
Nhap he so mai doc o diem dau :0

Nhap he so mai doc o diem cuoi :1

Chon diem dau :
Chon diem cuoi :
Chon diem dau :
Chon diem cuoi :

File Lisp đây : http://www.cadviet.c...files/VBUN5.vlx

Conghoanquygtvt test lại xem nhé
  • 1

#2393 auduongphuc

auduongphuc

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 14 July 2009 - 01:02 PM

em tìm thấy trên diễn đàn Lisp đánh cốt cao độ, nhưng có một vài điểm em thấy chưa vừa ý,nên nhờ bác Hoành viết dùm em cái lisp với yêu cầu sau: khi mình nhập lệnh cad sẽ yêu cầu mình xác định điểm 0,0. sau đó mình sẽ pick điểm đánh cốt cao độ, nhưng sẽ liên tục đến khi mình ngưng thì có thể enter để kết thúc lệnh, và cái kí hiệu đó có thể mirror qua lại được.khi cần chỉnh sửa thì có thể sửa trực tiếp như block ATT.đây là file kí hiệu cốt cao độ của em, mong bác lấy nó làm dùm em. Cảm ơn bác nhiều. http://www.cadviet.c.../Cot_cao_do.dwg
  • 0

#2394 conghoan1003

conghoan1003

    biết vẽ point

  • Members
  • PipPip
  • 99 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 July 2009 - 01:47 PM

Trước tiên mình cảm ơn Tue_NV đã nhiệt tình giứp đỡ.
Khi post mình lại quên dùng cái phông hổng thông dụng đó làm khó mọi người. Xin lỗi nhé!
Tue_NV xem lại thế nào chứ mình thấy cái Tue Test thì ok mà sao mình test thì như trong hình mình gởi đó.
Đường offet bên dưới đường tự nhiên vẫn là layer tự nhiên, lẽ ra nó và đường mái dốc phải nối với nhau để trở thành đường vét hoàn chỉnh.
Còn cái đưòng giới hạn vét: Khi mình kích hai điểm để xác định giới hạn vét nên mình muốn để lại đường này để biết chỗ mà kích hai điểm ấy mà, nhưng mà để như thế thì trên màn hình vẫn con hai layer (tự nhiên và giới hạn vét) vì thế khi lisp hỏi chọn polyline đường tự nhiên, mình chọn thì có cả đường này nữa, nên lisp sẽ nhầm lẫn giữa đường tự nhiên và đường giới hạn vét. Mình đưa ra ý kiến thế này Tuê xem thử nha: thuộc tính của layer giới hạn vét là line con đường tự nhiên là polyline. khi lisp hỏi chọn đường tự nhiên thì mình mặc định cho chọn polyline thôi (không chọn line) Còn không nữa thì các mặt cắt lại sau mình kích chuột ba lần.
Còn chỗ góc mái dốc sao nó hợp với đường tự nhiên góc 45 (nếu là 1:1) chứ không phải hợp với đường nằm ngang. Hợp với đường nằm ngang (trục hoành của hệ toạ độ) mới đúng chứ.
Cảm ơn và chúc sức khỏe!
file cad: http://www.cadviet.c...files/MCN_4.dwg

Mình đưa lên 3 vấn đề nhờ Tuê_NV sữa giúp, bạn sữa được hai cái còn cái đầu tiên sao mình thấy vẫn chưa được "Đường offet bên dưới đường tự nhiên vẫn là layer tự nhiên, lẽ ra nó và đường mái dốc phải nối với nhau để trở thành đường vét hoàn chỉnh"
Đề lisp này hoàn thiện hơn Tuê_NV có thể thêm cái text 1:1 (hoặc 1:2) vào dưới đường mái dốc được không? Còn nếu mất nhiều thời gian quá thì thôi cũng được.
Có lẽ mình đã yêu cầu hơi nhiều rồi, con người lòng tham vô đáy mà, Tue_NV thông cảm nghe! Khi nào Tuê_NV rãnh sửa giúp mình lần nữa nhé. Cảm ơn Tuệ_NV nhiều!
Tuê_NV xem file cad nè: http://www.cadviet.c...files/MCN_5.dwg
  • 0
Học học nữa học mãi.
Đúp học lại!

#2395 conghoan1003

conghoan1003

    biết vẽ point

  • Members
  • PipPip
  • 99 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 July 2009 - 06:56 PM

Các bác cho mình xin cái lisp ghi cao độ (z) của những điểm mình pick.
Có nghĩa là khi chạy lisp xong, pick điểm nào thì ghi ra một text ngay tai vị trí đó luôn. Ví dụ cao độ tai đó là:2.01 thì ghi số 2.01 ngay tại vị trí vừa pick điểm. (nếu được thì dấu chấm của số 2.01 nằm trùng với điểm vừa pick)
Thank!
  • 0
Học học nữa học mãi.
Đúp học lại!

#2396 Phiphi-

Phiphi-

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 434 Bài viết
Điểm đánh giá: 175 (tàm tạm)

Đã gửi 14 July 2009 - 09:14 PM

Trích dẫn(2008vie @ Jul 12 2009, 0:42)
Mình thường dùng cách quản lý bản vẽ như Chen.
Mình có tìm được 1 file lsp hổ trợ rất tốt cho việc sắp xếp layer.
Gửi bác Hoành, hi vọng nó có ích
http://www.cadviet.com/upfiles/DD_chlay.rar
trong này có 2 chức năng chính:
1. Lệnh DDCH (tương tự lệnh Qselect của CAD)
Chuyển các đối tượng của CAD ( blocks, hatch,..) về layer mình mong muốn
2. Lệnh NM
Chuyển các đối tượng CAD đang ở layer A qua layer mình mong muốn.
Trong thư muck có 2 file hướng dẫn kỹ hơn. Tất cả các thao tác điều có hộp thoại nên rất dễ hiểu.
Chúc mọi người thành công!

Bộ LISP này quả rất là tiện lợi dùng khi chuyển đổi các Layers với nhau, nhưng để phát huy tối đa thì cần phải bổ sung thêm phần cho phép chọn được cả COLOR, LINETYLE, bởi vì rất nhiều Drafters sử dụng Color, Linetype để đặt tên cho các Layers trong việc in ấn ra bản vẽ.
Hy vọng sẽ được các cao thủ viết Lisp ra tay. Cám ơn nhiều.


Lisp dưới đây do Tue_NV viết cho phép chọn các COLOR, PP nhờ bác upgrade để có thể chọn được cả LINETYPE nữa. Thank you.
http://www.cadviet.c...amp;#entry40655
  • 0

#2397 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 July 2009 - 09:26 PM

Lisp dưới đây do Tue_NV viết cho phép chọn các COLOR, PP nhờ bác upgrade để có thể chọn được cả LINETYPE nữa. Thank you.
http://www.cadviet.c...amp;#entry40655

Lisp dưới đây do Tue_NV viết cho phép chọn các COLOR
Tue_NV đã viết Lisp nào mà cho phép chọn các Color vậy Phiphi? :s_dead:
  • 0

#2398 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 14 July 2009 - 09:33 PM

có bạn nào có LISP chuyển 1 bảng thống kê từ CAD sang Excell và từ excell sang CAD ko vậy?mình làm cấp nước nên thống kê vật tư rất nhiều nên mình rất cần LISP để chuyển đổi qua lại!mong sự giúp đỡ của các bạn!(cái bảng xuất qua excel phải giống hàng và cột y chang với bảng CAD hoặc ngược lại)

hixx hixx!giúp mình với!
  • 0

#2399 q288

q288

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 209 Bài viết
Điểm đánh giá: 164 (tàm tạm)

Đã gửi 14 July 2009 - 09:42 PM

hixx hixx!giúp mình với!

Có mục Autocad với Excel đó, trong mục Autolisp.
  • 1

#2400 Phiphi-

Phiphi-

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 434 Bài viết
Điểm đánh giá: 175 (tàm tạm)

Đã gửi 15 July 2009 - 06:28 AM

Lisp dưới đây do Tue_NV viết cho phép chọn các COLOR
Tue_NV đã viết Lisp nào mà cho phép chọn các Color vậy Phiphi? :s_dead:

Sorry Tue_NV nhé, nguyên văn là ntn: "Đây là líp mình sưu tầm được"
  • 0